Workspaces - List Keys

Get the keys to use with the Quantum APIs. A key is used to authenticate and authorize access to the Quantum REST APIs. Only one key is needed at a time; two are given to provide seamless key regeneration.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Quantum/workspaces/{workspaceName}/listKeys?api-version=2025-12-15-preview

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

workspaceName
path True

string

pattern: ^[a-zA-Z0-9]+(-*[a-zA-Z0-9])*$

The name of the quantum workspace resource.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ListKeysResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Workspaces_ListKeys

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/quantumResourcegroup/providers/Microsoft.Quantum/workspaces/quantumworkspace1/listKeys?api-version=2025-12-15-preview

Sample response

{
  "apiKeyEnabled": true,
  "primaryKey": {
    "createdAt": "2023-11-13T23:06:09.147165Z",
    "key": "<primaryKey>"
  },
  "secondaryKey": {
    "createdAt": "2023-11-13T23:06:09.147165Z",
    "key": "<secondaryKey>"
  },
  "primaryConnectionString": "<primaryConnectionString>",
  "secondaryConnectionString": "<secondaryConnectionString>"
}

Definitions

Name Description
ApiKey

Azure quantum workspace Api key details.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ListKeysResult

Result of list Api keys and connection strings.

ApiKey

Azure quantum workspace Api key details.

Name Type Description
createdAt

string (date-time)

The creation time of the api key.

key

string

The Api key.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ListKeysResult

Result of list Api keys and connection strings.

Name Type Description
apiKeyEnabled

boolean

Indicator of enablement of the Quantum workspace Api keys.

primaryConnectionString

string

The connection string of the primary api key.

primaryKey

ApiKey

The quantum workspace primary api key.

secondaryConnectionString

string

The connection string of the secondary api key.

secondaryKey

ApiKey

The quantum workspace secondary api key.